{"openapi":"3.0.1","info":{"title":"A4G - ISTRUTTORIA PAC ","description":"Modulo per la gestione delle istruttorie PAC","version":"1.0.0"},"servers":[{"url":"http://itts55.intra.infotn.it:18080/istruttoriapac","description":"Generated server url"}],"tags":[{"name":"ConfigurazioneIstruttoriaPagamentiDiretti","description":"the ConfigurazioneIstruttoriaPagamentiDiretti API"},{"name":"Processoistruttorie","description":"the Processoistruttorie API"},{"name":"IstruttoriaJob","description":"the IstruttoriaJob API"},{"name":"ConfigurazioneZootecnia","description":"the ConfigurazioneZootecnia API"},{"name":"IstruttoriaPagamentiDiretti","description":"the IstruttoriaPagamentiDiretti API"},{"name":"Domanda","description":"the Domanda API"},{"name":"Superficie","description":"the Superficie API"},{"name":"ConfigurazioneDisaccoppiato","description":"the ConfigurazioneDisaccoppiato API"}],"paths":{"/api/v1/configurazione/getInfodisaccoppiato":{"get":{"tags":["ConfigurazioneDisaccoppiato"],"operationId":"getConfigDisaccoppiato","parameters":[{"name":"annoCampagna","in":"query","description":"annoCampagna","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneDisaccoppiatoDto"}}}}}}},"/api/v1/processi/istruttorie/du/anniCampagna":{"get":{"tags":["Processoistruttorie"],"operationId":"contaannicampagna","parameters":[{"name":"codicePac","in":"query","description":"codicePac","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"recupero anni campagna","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnicampagneDto"}}}},"400":{"description":"I parametri forniti non sono corretti","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/processi/istruttorie/du/savePascoloPartcella":{"post":{"tags":["Processoistruttorie"],"operationId":"savePascoloPartcella","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SavePascoloPartcellaRequestDto"}}}},"responses":{"200":{"description":"success invoke calcolo pascoli particella"},"400":{"description":"I parametri forniti non sono corretti","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/configurazione/getInfoConfIstruttoria":{"get":{"tags":["ConfigurazioneIstruttoriaPagamentiDiretti"],"operationId":"getConfigIstruttoria","parameters":[{"name":"annoCampagna","in":"query","description":"annoCampagna","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneIstruttoriaPagamentiDirettiDto"}}}}}}},"/api/v1/configurazione/getInfoConfZootecnia":{"get":{"tags":["ConfigurazioneZootecnia"],"operationId":"getConfigZootecnia","parameters":[{"name":"annoCampagna","in":"query","description":"annoCampagna","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneZootecniaDto"}}}}}}},"/api/v1/domanda":{"get":{"tags":["Domanda"],"operationId":"getDomandeByStato","parameters":[{"name":"stato","in":"query","description":"Stato delle domande da restituire","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseDomandaDto"}}}},"400":{"description":"Errore nella richiesta","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/domanda/ricerca":{"get":{"tags":["Domanda"],"operationId":"ricerca","parameters":[{"name":"numeroElementiPagina","in":"query","description":"Numero elementi per pagina","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"pagina","in":"query","description":"Numero di pagina","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"proprieta","in":"query","description":"Proprieta' dell'ordinamento","required":true,"schema":{"type":"string"}},{"name":"ordine","in":"query","description":"Direzione dell'ordinamento (ASC o DESC)","required":true,"schema":{"type":"string"}},{"name":"campagna","in":"query","description":"Anno della campagna delle istruttorie da ricercare","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"statoDomanda","in":"query","description":"Stato delle domande da ricercare","required":false,"schema":{"type":"string"}},{"name":"cuaa","in":"query","description":"CUAA delle domande da ricercare","required":false,"schema":{"type":"string"}},{"name":"ragioneSociale","in":"query","description":"Ragione sociale/denominazione delle domande da ricercare","required":false,"schema":{"type":"string"}},{"name":"numeroDomanda","in":"query","description":"Numero domanda da ricercare","required":false,"schema":{"type":"number"}},{"name":"statoLavorazioneDomanda","in":"query","description":"Stato lavorazione della domanda da ricercare","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RisultatiPaginatiDto"}}}},"400":{"description":"Errore nella richiesta","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/istruttorie/startjob":{"post":{"tags":["IstruttoriaJob"],"operationId":"startJob","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubmitJobDto"}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponseDto"}}}},"400":{"description":"Errore nella richiesta","content":{"application/json":{"schema":{"type":"object"}}}},"401":{"description":"Non autorizzato","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponseDto"}}}},"404":{"description":"Non trovato","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponseDto"}}}},"408":{"description":"Timeout della richiesta","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponseDto"}}}},"429":{"description":"Troppe richieste","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponseDto"}}}},"500":{"description":"Errore interno del server","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponseDto"}}}},"503":{"description":"Servizio non disponibile","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceResponseDto"}}}}}}},"/api/v1/framework/events/{idEvent}/reprocess":{"get":{"tags":["event-store-controller"],"operationId":"reprocessEvent","parameters":[{"name":"idEvent","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/v1/istruttorie/du/count":{"get":{"tags":["IstruttoriaPagamentiDiretti"],"operationId":"countIstruttorieDU","parameters":[{"name":"campagna","in":"query","description":"Anno della campagna delle istruttorie da ricercare","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"sostegno","in":"query","description":"getSostegno a cui fanno riferimento le istruttorie da ricercare","required":false,"schema":{"type":"string"}},{"name":"tipo","in":"query","description":"Tipo di istruttorie da ricercare","required":false,"schema":{"type":"string"}},{"name":"stato","in":"query","description":"Stato delle istruttorie da ricercare","required":false,"schema":{"type":"string"}},{"name":"statoDomanda","in":"query","description":"Stato delle domande da ricercare","required":false,"schema":{"type":"string"}},{"name":"cuaa","in":"query","description":"CUAA delle istruttorie da ricercare","required":false,"schema":{"type":"string"}},{"name":"ragioneSociale","in":"query","description":"Ragione sociale/denominazione delle istruttorie da ricercare","required":false,"schema":{"type":"string"}},{"name":"numeroDomanda","in":"query","description":"Numero domanda relativa alle istruttorie da ricercare","required":false,"schema":{"type":"number"}},{"name":"istruttoriaBloccata","in":"query","description":"Filtro istruttoria bloccata YES/NO","required":false,"schema":{"type":"string"}},{"name":"erroreCalcolo","in":"query","description":"Filtro errore calcolo YES/NO","required":false,"schema":{"type":"string"}},{"name":"giovane","in":"query","description":"Filtro 'giovane' YES/NO","required":false,"schema":{"type":"string"}},{"name":"riservaNazionale","in":"query","description":"Filtro selezione 'riserva nazionale'","required":false,"schema":{"type":"string"}},{"name":"interventi","in":"query","description":"Filtro selezione 'interventi' prende in input una lista di codici AGEA","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"anomalie","in":"query","description":"Filtro delle anomalie","required":false,"schema":{"type":"string"}},{"name":"codiciAnomalieInfo","in":"query","description":"Filtro delle anomalie con livelloAnomalia INFO e codice in codiciAnomalieInfo","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"codiciAnomalieWarning","in":"query","description":"Filtro delle anomalie con livelloAnomalia WARNING e codice in codiciAnomalieWarning","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"codiciAnomalieError","in":"query","description":"Filtro delle anomalie con livelloAnomalia ERROR e codice in codiciAnomalieError","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}},"400":{"description":"Errore nella richiesta","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/configurazione/saveOrUpdateConfZootecnia":{"post":{"tags":["ConfigurazioneZootecnia"],"operationId":"saveOrUpdateConfigZootecnia","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneZootecniaDto"}}}},"responses":{"200":{"description":"salvataggio avvenuto correttamente per i parametri forniti","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneZootecniaDto"}}}},"400":{"description":"I parametri forniti non sono corretti","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/processi/istruttorie/du/avviaprocesso":{"post":{"tags":["Processoistruttorie"],"operationId":"avviaprocessoDisaccoppiato","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessoIstruttorieDto"}}}},"responses":{"200":{"description":"calcolo avviato correttamente","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdProcessoDto"}}}},"400":{"description":"I parametri forniti non sono corretti","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/superficie/getRichiestaSuperficie":{"get":{"tags":["Superficie"],"operationId":"getRichiestaSuperficie","parameters":[{"name":"numeroDomanda","in":"query","description":"Numero della domanda","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"settoreDomanda","in":"query","description":"settore della domanda","required":false,"schema":{"type":"string"}},{"name":"annoCampagna","in":"query","description":"anno","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RichiestaSuperficiDto"}}}}}}},"/api/v1/domanda/count":{"get":{"tags":["Domanda"],"operationId":"countDomandeIstr","parameters":[{"name":"stato","in":"query","description":"Stato delle domande da contare","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}},"400":{"description":"Errore nella richiesta","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/configurazione/saveOrUpdateConfIstruttoria":{"post":{"tags":["ConfigurazioneIstruttoriaPagamentiDiretti"],"operationId":"saveOrUpdateConfigIstruttoria","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneIstruttoriaPagamentiDirettiDto"}}}},"responses":{"200":{"description":"salvataggio avvenuto correttamente per i parametri forniti","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneIstruttoriaPagamentiDirettiDto"}}}},"400":{"description":"I parametri forniti non sono corretti","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/api/v1/configurazione/saveOrUpdatedisaccoppiato":{"post":{"tags":["ConfigurazioneDisaccoppiato"],"operationId":"saveOrUpdatedisaccoppiato","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneDisaccoppiatoDto"}}}},"responses":{"200":{"description":"salvataggio avvenuto correttamente per i parametri forniti","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigurazioneDisaccoppiatoDto"}}}},"400":{"description":"I parametri forniti non sono corretti","content":{"application/json":{"schema":{"type":"object"}}}}}}}},"components":{"schemas":{"ConfigurazioneDisaccoppiatoDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"version":{"type":"integer","format":"int64"},"annoCampagna":{"type":"integer","format":"int64"},"crissiue":{"type":"number","format":"double"},"crisslimite":{"type":"number","format":"double"},"gioiue":{"type":"number","format":"double"},"percIncrementoGiovane":{"type":"number","format":"double"},"limiteGiovane":{"type":"number","format":"double"},"percRiduzioneLinArt51Par2":{"type":"number","format":"double"},"percRiduzioneLinArt51Par3":{"type":"number","format":"double"},"percRiduzioneLinMassNetto":{"type":"number","format":"double"},"percRiduzioneTitoli":{"type":"number","format":"double"}}},"AnnicampagneDto":{"type":"object","properties":{"annicampagna":{"type":"array","items":{"type":"integer","format":"int32"}}}},"SavePascoloPartcellaRequestDto":{"required":["annoCampagna"],"type":"object","properties":{"annoCampagna":{"type":"integer","format":"int64"}}},"ConfigurazioneIstruttoriaPagamentiDirettiDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"version":{"type":"integer","format":"int64"},"annoCampagna":{"type":"integer","format":"int64"},"percPagamento":{"type":"number","format":"double"},"percDisciplinaFinanziaria":{"type":"number","format":"double"},"saldo":{"type":"string","enum":["0","1"]},"anticipo":{"type":"string","enum":["0","1"]},"enableStartProcess":{"type":"boolean"}}},"ConfigurazioneZootecniaDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"version":{"type":"integer","format":"int64"},"annoCampagna":{"type":"integer","format":"int64"},"dtAperturaDomanda":{"type":"string","format":"date-time"},"dtChiusuraDomanda":{"type":"string","format":"date-time"}}},"ResponseDomandaDto":{"type":"object","properties":{"tore":{"$ref":"#/components/schemas/ResponseDomandaDto"},"annoCampagna":{"type":"integer","format":"int64"},"cuaaIntestatario":{"type":"string"},"dtPresentazione":{"type":"string","format":"date-time"},"dtProtocollazUltModifica":{"type":"string","format":"date-time"},"dtProtocollazione":{"type":"string","format":"date-time"},"iban":{"type":"string"},"numeroDomanda":{"type":"integer","format":"int64"},"numeroDomandaUltModifica":{"type":"integer","format":"int64"},"settore":{"type":"string"},"stato":{"type":"string","enum":["RICEVIBILE","NON_RICEVIBILE","ACQUISITA","IN_ISTRUTTORIA","PROTOCOLLATA","ELAB_PASCOLI"]}}},"A4gtIstrDomandaDto":{"type":"object","properties":{"tore":{"$ref":"#/components/schemas/A4gtIstrDomandaDto"},"annoCampagna":{"type":"integer","format":"int64"},"cuaaIntestatario":{"type":"string"},"dtPresentazione":{"type":"string","format":"date-time"},"dtProtocollazUltModifica":{"type":"string","format":"date-time"},"dtProtocollazione":{"type":"string","format":"date-time"},"iban":{"type":"string"},"numeroDomanda":{"type":"integer","format":"int64"},"numeroDomandaUltModifica":{"type":"integer","format":"int64"},"settore":{"type":"string"},"stato":{"type":"string","enum":["RICEVIBILE","NON_RICEVIBILE","ACQUISITA","IN_ISTRUTTORIA","PROTOCOLLATA","ELAB_PASCOLI"]}}},"RisultatiPaginatiDto":{"required":["count"],"type":"object","properties":{"risultati":{"type":"array","items":{"$ref":"#/components/schemas/A4gtIstrDomandaDto"}},"count":{"type":"integer","format":"int64"}}},"ServiceResponseDto":{"required":["status"],"type":"object","properties":{"jobId":{"minimum":1,"type":"integer","format":"int64","example":123456},"lastUpdated":{"type":"string","format":"date-time"},"status":{"type":"string","example":"abcd34567"},"instanceId":{"minimum":1,"type":"integer","format":"int64","example":123456}}},"SubmitJobDto":{"type":"object","properties":{"tore":{"$ref":"#/components/schemas/SubmitJobDto"},"annoCamp":{"type":"integer","format":"int32","example":2023},"settore":{"type":"string","example":"PAGAMENTI_DIRETTI"}}},"IdProcessoDto":{"type":"object","properties":{"idprocesso":{"type":"integer","format":"int32"}}},"ProcessoIstruttorieDto":{"type":"object","properties":{"idIstruttorie":{"type":"array","items":{"type":"integer","format":"int64"}},"percentualeAvanzamento":{"type":"integer","format":"int32"},"statoProcesso":{"type":"string","enum":["START","RUN","OK","KO"]},"idProcesso":{"type":"integer","format":"int32"},"tipoProcesso":{"type":"string","enum":["RICEVIBILITA_AGS","AVVIO_ISTRUTTORIA","CONTROLLO_ANTIMAFIA","CALCOLO_ACCOPPIATO_ZOOTECNIA","CALCOLO_PREMIO_ACCOPPIATO_ZOOTECNIA","NON_AMMISSIBILITA","LIQUIDAZIONE","CTRL_INTERSOSTEGNO_ACC_ZOOTECNIA","CTRL_INTERSOSTEGNO_ACC_SUPERFICIE","STATISTICA_CS21","STATISTICA_CS22","STATISTICA_CS25","STATISTICA_CS27","SINCRONIZZAZIONE_SUPERFICI_ACCERTATE","SINCRONIZZAZIONE_PAGAMENTI","CALCOLO_DISACCOPPIATO_ISTRUTTORIA","CONTROLLO_LIQUIDABILITA_ISTRUTTORIA","BLOCCO_ISTRUTTORIE","SBLOCCO_ISTRUTTORIE","CALCOLO_ACCOPPIATO_SUPERFICIE_ISTRUTTORIA","CALCOLO_ACCOPPIATO_ZOOTECNIA_ISTRUTTORIA","CALCOLO_CAPI_ISTRUTTORIE","RESET_ISTRUTTORIA","INTEGRAZIONE_ISTRUTTORIE","IMPORTA_DOMANDE_PSR_SUPERFICIE"]}}},"RichiestaSuperficiDto":{"type":"object","properties":{"risultati":{"type":"array","items":{"$ref":"#/components/schemas/RichiestaSuperficieDto"}}}},"RichiestaSuperficieDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"version":{"type":"integer","format":"int64"},"numeroDomanda":{"type":"integer","format":"int64"},"idParcAgri":{"type":"integer","format":"int64"},"idAppeDett":{"type":"integer","format":"int64"},"codAzione":{"type":"string"},"codColtura5":{"type":"string"},"supRichiesta":{"type":"integer","format":"int64"},"supRichiestaNetta":{"type":"integer","format":"int64"},"codBelfioreComune":{"type":"string"},"codNazionaleComune":{"type":"string"},"idIsol":{"type":"integer","format":"int64"},"codPascolo":{"type":"string"},"isCompatibile":{"type":"integer","format":"int64"}}}}}}